Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.provider.key
Class DES2XKeyGenerator

    java.lang.Object
      |
      +--java.security.KeyGenerator
            |
            +--cryptix.provider.key.RawKeyGenerator
                  |
                  +--cryptix.provider.key.DESKeyGenerator
                        |
                        +--cryptix.provider.key.DES2XKeyGenerator

public class DES2XKeyGenerator
extends DESKeyGenerator

A key generator for DES2X with one DES key and three XOR key.

Copyright © 1998 Systemics Ltd on behalf of the Cryptix Development Team.
All rights reserved.

$Revision: 1.1 $

Since:
  Cryptix 3.0.4
Author:
  Sascha Kettler, David Hopwood, Raif Naffah

Constructor Summary
`DES2XKeyGenerator()`

Method Summary
`protected boolean` | `isWeak(byte[] key)` Returns true iff the first 8 bytes of key represent a weak DES key.

Methods inherited from class cryptix.provider.key.DESKeyGenerator
`engineGenerateKey, isWeak, setParity`

Methods inherited from class cryptix.provider.key.RawKeyGenerator
`generateKey, generateKey, getDefaultKeyLength, getMaximumKeyLength, getMinimumKeyLength, initialize, initialize, isValidKeyLength, isWeakAllowed, setWeakAllowed`

Methods inherited from class java.security.KeyGenerator
`clone, engineGetParameter, engineSetParameter, getAlgorithm, getAlgorithms, getAlgorithms, getInstance, getInstance, getParameter, setParameter, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DES2XKeyGenerator

    public DES2XKeyGenerator()

Method Detail

### isWeak

    protected boolean isWeak(byte[] key)

  Returns true iff the first 8 bytes of key represent a weak DES key.
  Overrides:
    isWeak in class DESKeyGenerator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.